Data Catalog API methods that are related to Data Catalog search and metadata are deprecated and will be discontinued on January 30, 2026. See Transition from Data Catalog to Dataplex Universal Catalog. Methods that are related to policy tags and policy tag taxonomies are not deprecated.
Renames a field in a tag template. The user should enable the Data Catalog API in the project identified by the name parameter (see Data Catalog Resource Project for more information).
HTTP request
POST https://datacatalog.googleapis.com/v1beta1/{name}:rename
Path parameters
Parameters
name
string
Required. The name of the tag template. Example:
projects/{projectId}/locations/{location}/tagTemplates/{tagTemplateId}/fields/{tagTemplateFieldId} It takes the form projects/{project}/locations/{location}/tagTemplates/{tagtemplate}/fields/{field}.
Request body
The request body contains data with the following structure:
JSON representation
{"newTagTemplateFieldId": string}
Fields
newTagTemplateFieldId
string
Required. The new ID of this tag template field. For example, my_new_field.
Response body
If successful, the response body contains an instance of TagTemplateField.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-07-17 UTC."],[],[]]